### Method

# FwupdPlugin EfiHardDriveDevicePath get_partition_signature

since: 2.0.0

#### Declaration [src]

    const fwupd_guid_t*
    fu_efi_hard_drive_device_path_get_partition_signature (
      FuEfiHardDriveDevicePath* self
    )

#### Description [src]

Gets the DP partition signature.

Available since: 2.0.0

#### Return value

Type: `fwupd_guid_t`

A #fwupd_guid_t.

The returned data is owned by the instance.